Classes | Functions
MarinerWrtParserInternal Namespace Reference

Internal: the structures of a MarinerWrtParser. More...

## Classes
struct | State
| Internal: the state of a MarinerWrtParser. More...
class | SubDocument
| Internal: the subdocument of a MarinerWrtParser. More...
struct | Zone
| Internal: the struct used to store the zone of a MarinerWrtParser. More...

## Functions
std::ostream & | operator<< (std::ostream &o, Zone const &zone)

## Detailed Description

Internal: the structures of a MarinerWrtParser.

## Function Documentation

## ◆ operator<<()

std::ostream& MarinerWrtParserInternal::operator<< | ( | std::ostream & | o,
|  | Zone const & | zone
| ) |  |

Referenced by MarinerWrtStruct::MarinerWrtStruct().